sc::StateSend(3)

NAME
sc::StateSend -

StateSend is a concrete specialization of MsgStateSend that does the send part of point to point communication in a MessageGrp.

SYNOPSIS

#include <mstate.h>

Inherits sc::MsgStateSend.

  Public Member Functions
StateSend (const Ref< MessageGrp > &)
Create a StateSend given a MessageGrp.
void target (int)
Specify the target node.
void flush ()
Flush the buffer.

  Additional Inherited Members

Detailed Description

StateSend is a concrete specialization of MsgStateSend that does the send part of point to point communication in a MessageGrp.

Author

Generated automatically by Doxygen for MPQC from the source code.